Package io.vertx.core.http

## Enum WebSocketVersion

- java.lang.Object
- - java.lang.Enum<WebSocketVersion>
  - - io.vertx.core.http.WebSocketVersion

- All Implemented Interfaces:
    `Serializable`, `Comparable<WebSocketVersion>`

      public enum WebSocketVersion
      extends Enum<WebSocketVersion>

  Represents the WebSocket version
  Author:
    Tim Fox

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `V00` |
    `V07` |
    `V08` |
    `V13` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WebSocketVersion` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static WebSocketVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V00

          public static final WebSocketVersion V00

    - #### V07

          public static final WebSocketVersion V07

    - #### V08

          public static final WebSocketVersion V08

    - #### V13

          public static final WebSocketVersion V13

  - ### Method Detail

    - #### values

          public static WebSocketVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocketVersion c : WebSocketVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocketVersion valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null